"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateCacheSecurityGroup_1 = require("../model/operations/CreateCacheSecurityGroup");
var CreateCacheSecurityGroupCommand = /** @class */ (function () {
    function CreateCacheSecurityGroupCommand(input) {
        this.input = input;
        this.model = CreateCacheSecurityGroup_1.CreateCacheSecurityGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateCacheSecurityGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateCacheSecurityGroupCommand;
}());
exports.CreateCacheSecurityGroupCommand = CreateCacheSecurityGroupCommand;
//# sourceMappingURL=CreateCacheSecurityGroupCommand.js.map