"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeCacheParameterGroups_1 = require("../model/operations/DescribeCacheParameterGroups");
var DescribeCacheParameterGroupsCommand = /** @class */ (function () {
    function DescribeCacheParameterGroupsCommand(input) {
        this.input = input;
        this.model = DescribeCacheParameterGroups_1.DescribeCacheParameterGroups;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeCacheParameterGroupsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeCacheParameterGroupsCommand;
}());
exports.DescribeCacheParameterGroupsCommand = DescribeCacheParameterGroupsCommand;
//# sourceMappingURL=DescribeCacheParameterGroupsCommand.js.map