"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeReplicationGroups_1 = require("../model/operations/DescribeReplicationGroups");
var DescribeReplicationGroupsCommand = /** @class */ (function () {
    function DescribeReplicationGroupsCommand(input) {
        this.input = input;
        this.model = DescribeReplicationGroups_1.DescribeReplicationGroups;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeReplicationGroupsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeReplicationGroupsCommand;
}());
exports.DescribeReplicationGroupsCommand = DescribeReplicationGroupsCommand;
//# sourceMappingURL=DescribeReplicationGroupsCommand.js.map