"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteReplicationGroupInput_1 = require("../shapes/DeleteReplicationGroupInput");
var DeleteReplicationGroupOutput_1 = require("../shapes/DeleteReplicationGroupOutput");
var ReplicationGroupNotFoundFault_1 = require("../shapes/ReplicationGroupNotFoundFault");
var InvalidReplicationGroupStateFault_1 = require("../shapes/InvalidReplicationGroupStateFault");
var SnapshotAlreadyExistsFault_1 = require("../shapes/SnapshotAlreadyExistsFault");
var SnapshotFeatureNotSupportedFault_1 = require("../shapes/SnapshotFeatureNotSupportedFault");
var SnapshotQuotaExceededFault_1 = require("../shapes/SnapshotQuotaExceededFault");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteReplicationGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteReplicationGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteReplicationGroupInput_1.DeleteReplicationGroupInput
    },
    output: {
        shape: DeleteReplicationGroupOutput_1.DeleteReplicationGroupOutput,
        resultWrapper: "DeleteReplicationGroupResult"
    },
    errors: [
        {
            shape: ReplicationGroupNotFoundFault_1.ReplicationGroupNotFoundFault
        },
        {
            shape: InvalidReplicationGroupStateFault_1.InvalidReplicationGroupStateFault
        },
        {
            shape: SnapshotAlreadyExistsFault_1.SnapshotAlreadyExistsFault
        },
        {
            shape: SnapshotFeatureNotSupportedFault_1.SnapshotFeatureNotSupportedFault
        },
        {
            shape: SnapshotQuotaExceededFault_1.SnapshotQuotaExceededFault
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        }
    ]
};
//# sourceMappingURL=DeleteReplicationGroup.js.map