"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteSnapshotInput_1 = require("../shapes/DeleteSnapshotInput");
var DeleteSnapshotOutput_1 = require("../shapes/DeleteSnapshotOutput");
var SnapshotNotFoundFault_1 = require("../shapes/SnapshotNotFoundFault");
var InvalidSnapshotStateFault_1 = require("../shapes/InvalidSnapshotStateFault");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteSnapshot = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteSnapshot",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteSnapshotInput_1.DeleteSnapshotInput
    },
    output: {
        shape: DeleteSnapshotOutput_1.DeleteSnapshotOutput,
        resultWrapper: "DeleteSnapshotResult"
    },
    errors: [
        {
            shape: SnapshotNotFoundFault_1.SnapshotNotFoundFault
        },
        {
            shape: InvalidSnapshotStateFault_1.InvalidSnapshotStateFault
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        }
    ]
};
//# sourceMappingURL=DeleteSnapshot.js.map